For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leases
        • GETGet a lease by ID
        • GETGet all lease periods
        • GETGet lease period by ID
        • POSTCreate Lease: Realpage - Not Supported
        • PUTUpdate Lease: Realpage - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RealPage Registered VendorLeases

Get a lease by ID

GET
/v1/leases/:lease_id
GET
/v1/leases/:lease_id
$curl https://api.propexo.com/v1/leases/lease_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "application_date": null,
13 "balance_amount_in_cents": null,
14 "balance_amount_raw": null,
15 "created_at": "2024-03-21T15:38:08.337Z",
16 "custom_data": {},
17 "deposit_amount": null,
18 "deposit_amount_in_cents": null,
19 "deposit_date": null,
20 "end_date": "2025-03-20T00:00:00Z",
21 "id": "clwktsp9v000008l31iv218hn",
22 "integration_id": "clwh5u07w000508me66sfh3um",
23 "integration_vendor": "REALPAGE",
24 "last_seen": "2024-03-22T10:59:45.119Z",
25 "past_due_balance_in_cents": null,
26 "past_due_balance_raw": null,
27 "property_id": "clwi5xiix000008l6ctdgafyh",
28 "realized_move_in_date": "2024-03-21T00:00:00Z",
29 "realized_move_out_date": "2025-03-20T00:00:00Z",
30 "rent_amount_in_cents": 150000,
31 "rent_amount_market_in_cents": null,
32 "rent_due_date": null,
33 "rent_due_day": null,
34 "residents_meta_data": [
35 {
36 "resident_id": "res_00123abc",
37 "x_resident_type": "Primary Tenant",
38 "resident_type_normalized": "PRIMARY",
39 "move_in_date": null,
40 "move_out_date": null,
41 "notice_date": null,
42 "custom_data": {},
43 "last_seen": "2024-03-22T10:59:45.119Z"
44 }
45 ],
46 "scheduled_move_in_date": "2024-03-21T00:00:00Z",
47 "scheduled_move_out_date": "2025-03-20T00:00:00Z",
48 "services": [
49 {
50 "id": "clwktsp9v000008l31iv218hn",
51 "created_at": "2024-03-21T15:38:08.337Z",
52 "updated_at": "2024-03-22T10:59:45.119Z",
53 "last_seen": "2024-03-22T10:59:45.119Z",
54 "name": "Standard Lease Service",
55 "lease_id": "clwktsp9v000008l31iv218hn"
56 }
57 ],
58 "signature_date": null,
59 "start_date": "2024-03-21T00:00:00Z",
60 "status_normalized": "ACTIVE",
61 "status_raw": "Active Lease",
62 "term": null,
63 "type": "Standard Lease",
64 "unit_id": null,
65 "unit_number": null,
66 "updated_at": "2024-03-22T10:59:45.119Z",
67 "write_off_amount_in_cents": null,
68 "write_off_amount_raw": null,
69 "x_id": "EXT-LEASE-987654",
70 "x_property_id": "PROP-123456",
71 "x_unit_id": "UNIT-345678",
72 "status": "Active",
73 "x_resident_id": "RES-789012"
74 }
75}
Get a lease by ID
Was this page helpful?
Previous

Get all lease periods

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

lease_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error